server:
  port: 8080
spring:
  application:
    name: ia-chat-boot
  datasource:
    url: jdbc:sqlite:file:chat.db
  jpa:
    database-platform: org.hibernate.community.dialect.SQLiteDialect
    hibernate:
      ddl-auto: update
llama:
  model:
    name: openchat-3.5-0106.Q4_K_M
    gpu:
      enabled: true
      layers: 35
    tokens: 1024

